Bug 509705 - [PEM] implement memory management for internal objects
[PEM] implement memory management for internal objects
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: nss (Show other bugs)
rawhide
All Linux
high Severity medium
: ---
: ---
Assigned To: Elio Maldonado Batiz
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 500636 501138
  Show dependency treegraph
 
Reported: 2009-07-05 08:05 EDT by Kamil Dudka
Modified: 2010-01-14 03:41 EST (History)
3 users (show)

See Also:
Fixed In Version: 3.12.4-3.fc11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 555027 (view as bug list)
Environment:
Last Closed: 2009-09-24 01:16:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch against git (26.58 KB, patch)
2009-07-05 08:05 EDT, Kamil Dudka
no flags Details | Diff
follow-up (418 bytes, patch)
2009-07-05 17:26 EDT, Kamil Dudka
no flags Details | Diff
do not crash on memory exhaustion (629 bytes, patch)
2009-07-06 15:34 EDT, Kamil Dudka
no flags Details | Diff
fix reference counting and optimize sharing of internal objects (1.67 KB, patch)
2009-07-10 03:27 EDT, Kamil Dudka
no flags Details | Diff
all-in-one git patch (27.12 KB, patch)
2009-08-20 05:18 EDT, Kamil Dudka
no flags Details | Diff

  None (edit)
Description Kamil Dudka 2009-07-05 08:05:16 EDT
Created attachment 350532 [details]
patch against git

Version-Release number of selected component (if applicable):
All current Fedora releases are affected.

Steps to Reproduce:
1. run the test-case from bug 501138
  
Actual results:
huge memory allocation

Additional info:
patch ready and awaiting review
Comment 1 Kamil Dudka 2009-07-05 17:26:15 EDT
Created attachment 350557 [details]
follow-up
Comment 2 Kamil Dudka 2009-07-06 15:34:09 EDT
Created attachment 350666 [details]
do not crash on memory exhaustion
Comment 3 Kamil Dudka 2009-07-10 03:27:14 EDT
Created attachment 351220 [details]
fix reference counting and optimize sharing of internal objects

Please double-check this one especially as I didn't found the behavior well documented anywhere.
Comment 4 Kamil Dudka 2009-08-20 05:18:51 EDT
Created attachment 358057 [details]
all-in-one git patch
Comment 5 Kamil Dudka 2009-08-20 05:29:30 EDT
We have the patch already tested by (lib)curl users:

    https://bugzilla.redhat.com/show_bug.cgi?id=500636#c28
    https://bugzilla.redhat.com/show_bug.cgi?id=501138#c21

Elio, any chance getting this into dist-f12? It's sort of critical bug and the fix should not be available only via post-release update. AFAICT the Beta Freeze is scheduled to 2009-09-22. Please consider building it along with the fix for bug 512019.

Rob, please remember to apply the patch on your git repo. Thanks in advance!
Comment 6 Rob Crittenden 2009-08-20 10:59:26 EDT
upstream commit 99286597662891ac69146fce6590a435331938cd
Comment 7 Elio Maldonado Batiz 2009-09-08 11:28:21 EDT
It is now in Rawhide in time for F-12 and pushed to F-11 updates candidate.
Comment 8 Fedora Update System 2009-09-11 14:48:06 EDT
nss-3.12.4-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/nss-3.12.4-1.fc11
Comment 9 Fedora Update System 2009-09-15 03:47:06 EDT
nss-3.12.4-1.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update nss'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-9593
Comment 10 Fedora Update System 2009-09-16 00:09:10 EDT
nss-3.12.4-2.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/nss-3.12.4-2.fc11
Comment 11 Fedora Update System 2009-09-16 16:35:53 EDT
nss-3.12.4-2.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update nss'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-9687
Comment 12 Fedora Update System 2009-09-17 18:04:06 EDT
nss-3.12.4-3.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/nss-3.12.4-3.fc11?_csrf_token=d6eee54945d598c83d89d6481b2a20cf972bc76b
Comment 13 Fedora Update System 2009-09-17 19:28:44 EDT
nss-3.12.3.99.3-2.10.6.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/nss-3.12.3.99.3-2.10.6.fc10?_csrf_token=316f4db77f425c9db8051b00e270dfcd1200be13
Comment 14 Fedora Update System 2009-09-18 20:17:16 EDT
nss-3.12.3.99.3-2.10.6.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update nss'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-9790
Comment 15 Fedora Update System 2009-09-18 20:18:42 EDT
nss-3.12.4-3.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update nss'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-9794
Comment 16 Fedora Update System 2009-09-24 01:15:53 EDT
nss-3.12.3.99.3-2.10.6.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 17 Fedora Update System 2009-09-24 01:16:54 EDT
nss-3.12.4-3.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.